module test_c_1_1;


parameter    CYCLE = 10;

reg     clk    ;
reg     rst_n  ;
reg     en     ;
wire    dout   ;

c_1_1 uut(
   .clk  (clk  )    ,
   .rst_n(rst_n)    ,
   .en   (en   )    ,
   .dout (dout )      

);


initial begin
    clk = 0;
    forever begin
        #(CYCLE/2);
        clk = ~clk;
    end
end

initial begin
    #1;
    rst_n = 0;
    #(10*CYCLE);
    rst_n = 1;
end

initial begin
    #1;
    en = 0;

    #(100*CYCLE);
    en = 1;
    #(1*CYCLE);
    en = 0;
    #(100*CYCLE);
    en = 1;
    #(1*CYCLE);
    en = 0;
end 


endmodule

